Create an address Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"PlannrCRM MCP server": {
  "url": "https://apidocs.plannrcrm.com/mcp"
}
Close
POST /api/v1/account/{account_uuid}/address

Path parameters

  • account_uuid string Required
application/json

Body

  • name string Required

    Name of the address

  • address_1 string Required

    First line of the address

  • address_2 string

    Second line of the address

  • address_3 string

    Third line of the address

  • address_4 string

    Fourth line of the address

  • town_city string

    Town/City

  • county string

    County

  • postcode string

    Postcode

  • country string

    Country

  • primary boolean

    Denotes if primary address.

  • moved_in_month integer

    The month the client moved into this address.

  • moved_in_year integer

    The year the client moved into this address.

  • moved_out_month integer

    The month the client moved out of this address.

  • moved_out_year integer

    The year the client moved out of this address.

  • residential_status string

    The client's residential status when living at the address.

  • residential_status_other string

    The client's residential status if it is not provided in the residential_status options. Must only be provided if residential_status is other.

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • uuid string

      The UUID of the resource.

    • created_at string

      The timestamp of when the resource was created.

    • updated_at string

      The timestamp of when the resource was updated.

    • name string

      Name of the address

    • address_1 string

      First line of the address

    • address_2 string

      Second line of the address

    • address_3 string

      Third line of the address

    • address_4 string

      Fourth line of the address

    • town_city string

      Town/City

    • county string

      County

    • postcode string

      Postcode

    • country string

      Country

    • move_in_date string

      Address move in date. This field may provide inaccurate data. We recommend using the v2/addresses API which has the moved_in_month and moved_in_year fields instead.

    • accounts object

      Accounts that own this address

      Hide accounts attributes Show accounts attributes object
      • uuid string
      • created_at string
      • updated_at string
      • type string
      • role string
      • first_name string
      • last_name string
      • name string
      • email string
      • photo_url string
      • firm string
      • primary_phone_number string
      • primary_email string
      • current_time_entry string
      • assigned_adviser string
      • assigned_administrator string
      • assigned_paraplanner string
      • introduced_by string
      • business_unit string
      • groups string
      • tags string
      • owners string
      • first_contact_date string
      • next_review_date string
      • previous_review_date string
      • anniversary_review_date string
      • terms_of_business_at string
      • client_agreement_at string
      • with_login boolean
      • has_joint_account boolean
      • can_be_deleted string
      • joint_account_circle string
      • circles string
      • ownership_percentage integer
      • inactive_at string
      • last_interaction_at string
      • referral_code string
      • permissions object
        Hide permissions attributes Show permissions attributes object
        • firm:read array[string]
        • network:read array[string]
      • custom_fields string
      • external_references string
POST /api/v1/account/{account_uuid}/address
curl \
 --request POST 'https://api.plannrcrm.com/api/v1/account/6ff8f7f6-1eb3-3525-be4a-3932c805afed/address' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"name":"Work Address","address_1":"Suite E, 5 The Briars","address_2":"Waterberry Drive","address_3":"The Innovative Centre","address_4":"Waterlooville","town_city":"Waterlooville","county":"Hampshire","postcode":"PO7 7YH","country":"United Kingdom","primary":true,"moved_in_month":6,"moved_in_year":2022,"moved_out_month":1,"moved_out_year":2024,"residential_status":"homeowner","residential_status_other":"Non-tenant occupier"}'
Request examples
{
  "name": "Work Address",
  "address_1": "Suite E, 5 The Briars",
  "address_2": "Waterberry Drive",
  "address_3": "The Innovative Centre",
  "address_4": "Waterlooville",
  "town_city": "Waterlooville",
  "county": "Hampshire",
  "postcode": "PO7 7YH",
  "country": "United Kingdom",
  "primary": true,
  "moved_in_month": 6,
  "moved_in_year": 2022,
  "moved_out_month": 1,
  "moved_out_year": 2024,
  "residential_status": "homeowner",
  "residential_status_other": "Non-tenant occupier"
}
Response examples (200)
{
  "uuid": "63dab1db-7cb6-41ab-bff8-60f5bb734488",
  "created_at": "2026-06-08T16:08:01+01:00",
  "updated_at": "2026-06-08T16:08:01+01:00",
  "name": "Work Address",
  "address_1": "Suite E, 5 The Briars",
  "address_2": "Waterberry Drive",
  "address_3": "The Innovative Centre",
  "address_4": "Waterlooville",
  "town_city": "Waterlooville",
  "county": "Hampshire",
  "postcode": "PO7 7YH",
  "country": "United Kingdom",
  "move_in_date": "2025-06-08",
  "accounts": {
    "uuid": "884be6b1-a77e-482e-a346-b8ea96325d59",
    "created_at": "2026-06-08T16:08:01+01:00",
    "updated_at": "2026-06-08T16:08:01+01:00",
    "type": "client",
    "role": "client",
    "first_name": "Gareth",
    "last_name": "Thompson",
    "name": "Gareth Thompson",
    "email": "gareth@codepotato.co.uk",
    "photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
    "firm": "App\\Http\\Resources\\FirmResource",
    "primary_phone_number": "App\\Http\\Resources\\ContactDetailResource",
    "primary_email": "App\\Http\\Resources\\ContactDetailResource",
    "current_time_entry": "App\\Http\\Resources\\TimeEntryResource",
    "assigned_adviser": "App\\Http\\Resources\\AccountResource",
    "assigned_administrator": "App\\Http\\Resources\\AccountResource",
    "assigned_paraplanner": "App\\Http\\Resources\\AccountResource",
    "introduced_by": "App\\Http\\Resources\\AccountResource",
    "business_unit": "App\\Http\\Resources\\BusinessUnitResource",
    "groups": "App\\Http\\Resources\\GroupResource",
    "tags": "App\\Http\\Resources\\TagResource",
    "owners": "App\\Http\\Resources\\AccountResource",
    "first_contact_date": "2026-06-08T16:08:01+01:00",
    "next_review_date": "2026-06-08T16:08:01+01:00",
    "previous_review_date": "2026-06-08T16:08:01+01:00",
    "anniversary_review_date": "2026-06-08T16:08:01+01:00",
    "terms_of_business_at": "2026-06-08T16:08:01+01:00",
    "client_agreement_at": "2026-06-08T16:08:01+01:00",
    "with_login": true,
    "has_joint_account": true,
    "can_be_deleted": "false",
    "joint_account_circle": "App\\Http\\Resources\\CircleResource",
    "circles": "App\\Http\\Resources\\CircleResource",
    "ownership_percentage": 100,
    "inactive_at": "2026-06-08",
    "last_interaction_at": "2026-06-08 16:08:01",
    "referral_code": "ABC12345",
    "permissions": {
      "firm:read": [
        "firm"
      ],
      "network:read": [
        "network:uuid"
      ]
    },
    "custom_fields": "App\\Http\\Resources\\CustomFieldValueResource",
    "external_references": "App\\Http\\Resources\\ExternalReferenceResource"
  }
}